Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Classes | Macros
DOMNode.hpp File Reference

Go to the source code of this file.

## Classes

class | DOMNode
| The `DOMNode` interface is the primary datatype for the entire Document Object Model. More...

## Macros

#define | GET_OWNER_DOCUMENT(ptr) ((DOMDocumentImpl*)(ptr->getOwnerDocument()))
#define | GET_DIRECT_MM(ptr) (ptr ? ((DOMDocumentImpl*)ptr)->getMemoryManager() : XMLPlatformUtils::fgMemoryManager)
#define | GET_INDIRECT_MM(ptr)
#define | GetDOMNodeMemoryManager GET_INDIRECT_MM(this)

## Macro Definition Documentation

#define GET_DIRECT_MM | ( |  | ptr | ) | (ptr ? ((DOMDocumentImpl*)ptr)->getMemoryManager() : XMLPlatformUtils::fgMemoryManager)

#define GET_INDIRECT_MM | ( |  | ptr | ) |

Value:
(!ptr ? XMLPlatformUtils::fgMemoryManager : \
GET_OWNER_DOCUMENT(ptr) ? GET_OWNER_DOCUMENT(ptr)->getMemoryManager() : \
XMLPlatformUtils::fgMemoryManager)

#define GET_OWNER_DOCUMENT | ( |  | ptr | ) | ((DOMDocumentImpl*)(ptr->getOwnerDocument()))

#define GetDOMNodeMemoryManager GET_INDIRECT_MM(this)